net.minecraft.entity.item

## Class EntityItemFrame

- java.lang.Object
- - net.minecraft.entity.Entity
  - - net.minecraft.entity.EntityHanging
    - - net.minecraft.entity.item.EntityItemFrame

-     public class EntityItemFrame
      extends EntityHanging

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.entity.EntityHanging

      `hangingDirection, xPosition, yPosition, zPosition`

    - ### Fields inherited from class net.minecraft.entity.Entity

      `addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, dimension, distanceWalkedModified, distanceWalkedOnStepModified, entityCollisionReduction, entityId, fallDistance, field_70135_K, fireResistance, forceSpawn, height, hurtResistantTime, ignoreFrustumCheck, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, stepHeight, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityItemFrame(World par1World)`
    `EntityItemFrame(World par1World, int par2, int par3, int par4, int par5)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ItemStack` | `getDisplayedItem()`
    `int` | `getHeightPixels()`
    `int` | `getRotation()` Return the rotation of the item currently on this frame.
    `int` | `getWidthPixels()`
    `boolean` | `interactFirst(EntityPlayer par1EntityPlayer)` First layer of player interaction
    `boolean` | `isInRangeToRenderDist(double par1)`
    `void` | `onBroken(Entity par1Entity)` Called when this entity is broken.
    `void` | `readEntityFromNBT(NBTTagCompound par1NBTTagCompound)` (abstract) Protected helper method to read subclass entity data from NBT.
    `void` | `setDisplayedItem(ItemStack par1ItemStack)`
    `void` | `setItemRotation(int par1)`
    `void` | `writeEntityToNBT(NBTTagCompound par1NBTTagCompound)` (abstract) Protected helper method to write subclass entity data to NBT.

    - ### Methods inherited from class net.minecraft.entity.EntityHanging

      `addVelocity, attackEntityFrom, canBeCollidedWith, hitByEntity, moveEntity, onUpdate, onValidSurface, setDirection`

    - ### Methods inherited from class net.minecraft.entity.Entity

      `addEntityCrashInfo, addToPlayerScore, applyEntityCollision, canAttackWithItem, canBePushed, canRenderOnFire, canRiderInteract, copyDataFrom, copyLocationAndAnglesFrom, doesEntityNotTriggerPressurePlate, dropItem, dropItemWithOffset, entityDropItem, equals, extinguish, getAir, getBlockExplosionResistance, getBoundingBox, getBrightness, getBrightnessForRender, getCollisionBorderSize, getCollisionBox, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getEntityName, getExtendedProperties, getEyeHeight, getLastActiveItems, getLookVec, getMaxInPortalTime, getMaxSafePointTries, getMountedYOffset, getParts, getPersistentID, getPickedResult, getPortalCooldown, getRotationYawHead, getShadowSize, getTeleportDirection, getTranslatedEntityName, getUniqueID, getYOffset, handleHealthUpdate, handleLavaMovement, handleWaterMovement, hashCode, isBurning, isCreatureType, isEating, isEntityAlive, isEntityEqual, isEntityInsideOpaqueBlock, isEntityInvulnerable, isImmuneToFire, isInRangeToRenderVec3D, isInsideOfMaterial, isInvisible, isInvisibleToPlayer, isInWater, isOffsetPositionInLiquid, isPushedByWater, isRiding, isSneaking, isSprinting, isWet, mountEntity, moveFlying, onChunkLoad, onCollideWithPlayer, onEntityUpdate, onKillEntity, onStruckByLightning, performHurtAnimation, playSound, readFromNBT, registerExtendedProperties, resetEntityId, setAir, setAngles, setCurrentItemOrArmor, setDead, setEating, setFire, setInPortal, setInvisible, setInWeb, setLocationAndAngles, setPosition, setPositionAndRotation, setPositionAndRotation2, setRotationYawHead, setSneaking, setSprinting, setVelocity, setWorld, shouldDismountInWater, shouldExplodeBlock, shouldRenderInPass, shouldRiderSit, toString, travelToDimension, updateRidden, updateRiderPosition, writeMountToNBT, writeToNBT, writeToNBTOptional`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EntityItemFrame

          public EntityItemFrame(World par1World)

    - #### EntityItemFrame

          public EntityItemFrame(World par1World,
                         int par2,
                         int par3,
                         int par4,
                         int par5)

  - ### Method Detail

    - #### getWidthPixels

          public int getWidthPixels()

      Specified by:
        `getWidthPixels` in class `EntityHanging`

    - #### getHeightPixels

          public int getHeightPixels()

      Specified by:
        `getHeightPixels` in class `EntityHanging`

    - #### isInRangeToRenderDist

          public boolean isInRangeToRenderDist(double par1)

      Overrides:
        `isInRangeToRenderDist` in class `Entity`

    - #### onBroken

          public void onBroken(Entity par1Entity)

      Called when this entity is broken. Entity parameter may be null.
      Specified by:
        `onBroken` in class `EntityHanging`

    - #### getDisplayedItem

          public ItemStack getDisplayedItem()

    - #### setDisplayedItem

          public void setDisplayedItem(ItemStack par1ItemStack)

    - #### getRotation

          public int getRotation()

      Return the rotation of the item currently on this frame.

    - #### setItemRotation

          public void setItemRotation(int par1)

    - #### writeEntityToNBT

          public void writeEntityToNBT(NBTTagCompound par1NBTTagCompound)

      (abstract) Protected helper method to write subclass entity data to NBT.
      Overrides:
        `writeEntityToNBT` in class `EntityHanging`

    - #### readEntityFromNBT

          public void readEntityFromNBT(NBTTagCompound par1NBTTagCompound)

      (abstract) Protected helper method to read subclass entity data from NBT.
      Overrides:
        `readEntityFromNBT` in class `EntityHanging`

    - #### interactFirst

          public boolean interactFirst(EntityPlayer par1EntityPlayer)

      First layer of player interaction
      Overrides:
        `interactFirst` in class `Entity`